import { Observable } from 'rxjs';
import { ApiInterfaceRx } from '@polkadot/api/types';
import { DerivedElectionsInfo } from '../types';
/**
 * @name info
 * @returns An object containing the combined results of the storage queries for
 * all relevant election module properties.
 * @example
 * <BR>
 *
 * ```javascript
 * api.derive.elections.info(({ members, candidates }) => {
 *   console.log(`There are currently ${members.length} council members and ${candidates.length} prospective council candidates.`);
 * });
 * ```
 */
export declare function info(api: ApiInterfaceRx): () => Observable<DerivedElectionsInfo>;
