"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.drr = void 0;

var _operators = require("rxjs/operators");

var _util = require("@polkadot/util");

// Copyright 2017-2019 @polkadot/api-derive authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
const l = (0, _util.logger)('drr');
/**
 * Shorthand for distinctUntilChanged(), publishReplay(1) and refCount().
 *
 * @ignore
 */

const drr = () => source$ => source$.pipe((0, _operators.catchError)(error => {
  l.error(error);
  throw error;
}), (0, _operators.distinctUntilChanged)((a, b) => JSON.stringify({
  value: a
}) === JSON.stringify({
  value: b
})), (0, _operators.publishReplay)(1), (0, _operators.refCount)());

exports.drr = drr;